### Method

# WebKit XRPermissionRequest get_session_mode

since: 2.52

#### Declaration [src]

    WebKitXRSessionMode
    webkit_xr_permission_request_get_session_mode (
      WebKitXRPermissionRequest* request
    )

#### Description [src]

Gets the session mode for which permission is being requested.

Available since: 2.52

#### Return value

Type: `WebKitXRSessionMode`

A `WebKitXRSessionMode`.